Use Enumerable#sort_by instead of Enumerable#sort

2018-07-30 18:01 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Performance Estimated time: 0.00 hour

Target version: 4.0.0   

Description

According to Fast Ruby, Enumerable#sort_by is much faster than Enumerable#sort. You can read details on 

https://github.com/JuanitoFatas/fast-ruby#enumerablesort-vs-enumerablesort_by-code.

This patch replaces sort with sort_by to improve performance.

Associated revisions

Revision 17462 - 2018-08-02 23:54 - Go MAEDA

Replace Enumerable#sort with faster Enumerable#sort_by (#29299).

Patch by Go MAEDA.

History

#1 - 2018-07-30 18:03 - Go MAEDA

- File replace-sort-with-sort_by.diff added

#2 - 2018-07-31 02:21 - Go MAEDA

- File replace-sort-with-sort_by-v2.diff added

Updated the patch. Replaced more sort methods.

#3 - 2018-07-31 03:39 - Go MAEDA

- Description updated

#4 - 2018-07-31 10:22 - Go MAEDA

- Target version set to Candidate for next major release

#5 - 2018-08-02 04:14 - Go MAEDA

- Target version changed from Candidate for next major release to 4.1.0

Setting the target version to 4.1.0.

#6 - 2018-08-03 00:04 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Target version changed from 4.1.0 to 4.0.0

Files

replace-sort-with-sort_by.diff 5.04 KB 2018-07-30 Go MAEDA

replace-sort-with-sort_by-v2.diff 6.71 KB 2018-07-31 Go MAEDA
